---
id: isohunt2
name: Isohunt2
description: "Isohunt2 is a Public torrent search engine for MOVIES / TV / GENERAL"
language: en-US
type: public
encoding: UTF-8
links:
  - https://isohunt.lol/
  - https://isohuntx.com/
  - https://isohuntz.com/
  - https://isohuntz.net/
  - https://isohunt.how/
  - https://isohunt.tube/
legacylinks:
  - https://isohunt2.net/ # redirects to torrentproject.cc
  - https://isohunt.fun/ # redirects to torrentproject.cc
  - https://isohunt.tv/ # redirects to torrentproject.cc
  - https://isohunt.nz/
  - https://isohunt.ch/
  - https://isohunt.sh/
  - https://isohunt.app/

caps:
  categorymappings:
    - {id: 1, cat: TV/Anime, desc: "Anime"}
    - {id: 2, cat: PC/0day, desc: "Software"}
    - {id: 3, cat: PC/Games, desc: "Games"}
    - {id: 4, cat: XXX, desc: "Adult"}
    - {id: 5, cat: Movies, desc: "Movies"}
    - {id: 6, cat: Audio, desc: "Music"}
    - {id: 7, cat: Other, desc: "Other"}
    - {id: 8, cat: TV, desc: "Series & TV"}
    - {id: 9, cat: Books, desc: "Books"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: category
    type: select
    label: Category Filter
    default: 0
    options:
      0: All
      1: Anime
      2: Software
      3: Games
      4: Adult
      5: Movies
      6: Music
      7: Other
      8: "Series & TV"
      9: Books
  - name: sort
    type: select
    label: Sort requested from site
    default: created_at
    options:
      created_at: created
      seeders: seeders
      size: size

download:
  selectors:
    - selector: a.btn-magnet
      attribute: href
      filters:
        - name: querystring
          args: url

search:
  paths:
    - path: torrents
  inputs:
    ihq: "{{ .Keywords }}"
    iht: "{{ .Config.category }}"
    age: 0
    Torrent_sort: "{{ .Config.sort }}"

  headers:
    User-Agent: ["Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36 Edg/115.0.1901.203"]

  rows:
    selector: table > tbody > tr[data-key="0"]

  fields:
    categorydesc:
      selector: a[href^="/torrents/?iht="]
    title:
      selector: td.title-row > a[href^="/"] > span
    details:
      selector: td.title-row > a[href^="/"]
      attribute: href
    download:
      selector: td.title-row > a[href^="/"]
      attribute: href
    size:
      selector: td.size-row
    seeders:
      selector: td.sn
    date:
      selector: td.date-row
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
